package org.processmining.geneticminerusingpartialknowledge.algorithms;

import java.io.FileWriter;
import java.io.IOException;
import java.text.SimpleDateFormat;
import java.util.Date;

import org.processmining.models.graphbased.directed.petrinet.Petrinet;

public class MeasurmentLogger {
	private static String loggerDir = "C:\\_magisterka\\pomiary";
	private String logFileName;

	public MeasurmentLogger(int amountOfRecords, int amountOfPlaces, int amountOfTransitions) {
		String timeStamp = new SimpleDateFormat("yyyy_MM_dd_HH_mm_ss").format(new Date());
		logFileName = loggerDir+"\\"+ timeStamp + "_r" + amountOfRecords + "_p" + amountOfPlaces + "_t" + amountOfTransitions+".csv";
		AddLine("Random_candidates,Time");
	}

	public MeasurmentLogger(int amountOfRecords,Petrinet knowledge, String header, String sufix) {
		String timeStamp = new SimpleDateFormat("yyyy_MM_dd_HH_mm_ss").format(new Date());
		logFileName = loggerDir+"\\"+ timeStamp + "_r" + amountOfRecords + "_p" + knowledge.getPlaces().size() + "_t" + knowledge.getTransitions().size()+"_"+sufix+".csv";
		AddLine(header);
	}
	public void AddLine(String line) {
		FileWriter fwr = null;
		try {
			 fwr = new FileWriter(logFileName, true);
			 System.out.println("adding to log: " + line);
			fwr.append(line);
			fwr.append("\n");
		} catch (IOException e) {
			System.out.println("Error while writing line: "+line+" !!!");
			e.printStackTrace();
		} finally {
			try {
				fwr.flush();
				fwr.close();
			} catch (IOException e) {
				System.out.println("Error while flushing/closing fileWriter !!!");
				e.printStackTrace();

			}

		}

	}
}
