package org.processmining.geneticminerusingpartialknowledge.algorithms;

import org.processmining.models.graphbased.LocalNodeID;

public class TransitionMatch {
	private String PetriNetName;
	private String HeuristicsNetName;
	private int HeuristicIndex;
	private LocalNodeID PetriNetNodeLocalId;

	public LocalNodeID getPetriNetNodeLocalId() {
		return PetriNetNodeLocalId;
	}

	public void setPetriNetNodeLocalId(LocalNodeID petriNetNodeLocalId) {
		PetriNetNodeLocalId = petriNetNodeLocalId;
	}

	public TransitionMatch(String petriNetName, LocalNodeID localId, String heuristicsNetName, int heuristicIndex) {
		super();
		PetriNetName = petriNetName;
		HeuristicsNetName = heuristicsNetName;
		HeuristicIndex = heuristicIndex;
		PetriNetNodeLocalId = localId;
	}

	public TransitionMatch() {
		// TODO Auto-generated constructor stub
	}

	public int getHeuristicIndex() {
		return HeuristicIndex;
	}

	public void setHeuristicIndex(int heuristicId) {
		HeuristicIndex = heuristicId;
	}

	public String getPetriNetName() {
		return PetriNetName;
	}

	public void setPetriNetName(String petriNetName) {
		PetriNetName = petriNetName;
	}

	public String getHeuristicsNetName() {
		return HeuristicsNetName;
	}

	public void setHeuristicsNetName(String heuristicsNetName) {
		HeuristicsNetName = heuristicsNetName;
	}

	public String toString() {
		return "TransitionMatch [PetriNetName=" + PetriNetName + ", HeuristicsNetName=" + HeuristicsNetName
				+ ", HeuristicIndex=" + HeuristicIndex + "]";
	}

	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + HeuristicIndex;
		result = prime * result + ((HeuristicsNetName == null) ? 0 : HeuristicsNetName.hashCode());
		result = prime * result + ((PetriNetName == null) ? 0 : PetriNetName.hashCode());
		return result;
	}

	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		TransitionMatch other = (TransitionMatch) obj;
		if (HeuristicIndex != other.HeuristicIndex)
			return false;
		if (HeuristicsNetName == null) {
			if (other.HeuristicsNetName != null)
				return false;
		} else if (!HeuristicsNetName.equals(other.HeuristicsNetName))
			return false;
		if (PetriNetName == null) {
			if (other.PetriNetName != null)
				return false;
		} else if (!PetriNetName.equals(other.PetriNetName))
			return false;
		return true;
	}

}
